> For the complete documentation index, see [llms.txt](https://docs.bunny.com/developer/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bunny.com/developer/api-reference/types/contactattributes.md).

# ContactAttributes

Attributes for creating and updating a contact

```json
{
  "code": "",
  "firstName": "",
  "lastName": "",
  "email": "",
  "salutation": "",
  "title": "",
  "phone": "",
  "mobile": "",
  "mailingStreet": "",
  "mailingCity": "",
  "mailingZip": "",
  "mailingState": "",
  "mailingCountry": "",
  "portalAccess": true,
  "description": "",
  "accountId": "456123",
  "accountCode": "",
  "campaignCode": "",
  "linkedinUrl": ""
}
```

| Name           | Type    | Description                                    |
| -------------- | ------- | ---------------------------------------------- |
| code           | String  | Custom unique identifier for the contact       |
| firstName      | String  | First name of the contact                      |
| lastName       | String  | Last name of the contact                       |
| email          | String  | Email address of the contact                   |
| salutation     | String  | Salutation for the contact                     |
| title          | String  | Job title of the contact                       |
| phone          | String  | Primary phone number for the contact           |
| mobile         | String  | Primary mobile number for the contact          |
| mailingStreet  | String  | Street address for the contact                 |
| mailingCity    | String  | City for the contact                           |
| mailingZip     | String  | Zip/PostalCode of the contact                  |
| mailingState   | String  | State for the contact                          |
| mailingCountry | String  | Country of the contact                         |
| portalAccess   | Boolean | Portal access allowed                          |
| description    | String  | A description of the contact                   |
| accountId      | ID      | The account the contact belongs to             |
| accountCode    | String  | The code of the account the contact belongs to |
| campaignCode   | String  | Campaign code                                  |
| linkedinUrl    | String  | Link to the contact's LinkedIn profile         |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bunny.com/developer/api-reference/types/contactattributes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
